Package: org.grails.plugins.web.controllers

## [Groovy] Class DefaultControllerExceptionHandlerMetaData

- org.grails.plugins.web.controllers.DefaultControllerExceptionHandlerMetaData

- All Implemented Interfaces and Traits:
    ControllerExceptionHandlerMetaData

      @groovy.transform.Immutable(knownImmutableClasses: [Class])
      class DefaultControllerExceptionHandlerMetaData
      extends java.lang.Object
      implements ControllerExceptionHandlerMetaData

  Represents meta data which describes an exception handling method in a controller

  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class<? extends java.lang.Exception>` | `exceptionType` |
    `private java.lang.String` | `methodName` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class<? extends java.lang.Exception>` | `exceptionType`
    `java.lang.String` | `methodName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultControllerExceptionHandlerMetaData ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.Class<? extends java.lang.Exception> exceptionType

    - #### private java.lang.String methodName

  - ### Property Detail

    - #### java.lang.Class<? extends java.lang.Exception> exceptionType

    - #### java.lang.String methodName

  - ### Constructor Detail

    - #### DefaultControllerExceptionHandlerMetaData()